<%@ Page language="c#" Codebehind="addmore.aspx.cs" AutoEventWireup="false" Inherits="lgwapp.common.controls.grid.addmore" %>
<%@ Register TagPrefix="tools" Namespace="Logicweb.WebCtls" Assembly="Logicweb" %>
<HTML>
<HEAD>
<title>
<%= strTitle %>
</title>
<link rel="stylesheet" type="text/css" href="/lgwres/nav/menu.css">
<script language="javascript" src="/lgwres/grid/action.js"></script>
<link rel="stylesheet" type="text/css" href="/lgwres/grid/grid.css">
<link rel="stylesheet" type="text/css" href="/lgwres/styles/main.css">
<script language="javascript" src="/lgwres/scripts/main.js"></script>
<link rel="stylesheet" type="text/css" href="/lgwres/styles/dialogs.css">
<script language="javascript">
var _i = 0;
var _a = null;
var _bActionStarted = false;
var oXml = new ActiveXObject("Microsoft.XMLDOM");
oXml.async = false;
oXml.onreadystatechange = wait;
var xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
var submitUrl = '/lgwapp/common/controls/grid/addmoreaction.aspx?refKey=<%= strRefKey %>&oId=<%= Request.Params["oId"] %>&mId=';
var _iStep = 0;

function openObj(otype, oid, oTR)
{
	oTR.cells[0].firstChild.click();
	return;
}
function wait()
{
	if (oXml.readyState == 4)
	{
		divFill.style.pixelWidth = _iStep * (_i + 1);
		if (_i < (_a.length - 1))
		{
			window.setTimeout("performAction()", 10);
		}
	else
	{
		window.returnValue = true;
		window.close();
	}
}
}
function performAction()
{
	var postUrl = submitUrl + _a[_i];
	xmlhttp.Open("POST", postUrl, false);
	xmlhttp.Send();
	oXml.loadXML(xmlhttp.responseXML.xml);
	var ret = oXml.selectSingleNode("/node/error");
	if(ret!=null) alert(ret.text);
	_i++;
}

function cancel()
{
	if (_bActionStarted)
	{
		if (window.confirm("Are you sure you want to cancel this operation?	The remaining " + (_a.length - _i) + " record(s) will not be affected."))
		{
		window.returnValue = true;
		window.close();
		}
	}
	else
	{
		window.close();
	}
}
function applychanges()
{
	_a = getSelected('toolGrid');
	if(_a && _a.length>0)
	{
		butBegin.disabled = true;
		divData.style.display   = "none";
		divFillBg.style.display = "inline";
		divFill.style.display   = "inline";
		divStatus.style.display = "inline";
		_bActionStarted = true;
		_iStep = 435/_a.length;
		window.setTimeout("performAction()", 100);
	}
	else 
	{
		alert("You must select some items before clicking OK, or click Cancel.");
	}
}
</script>
</HEAD>
<body>
<table style="WIDTH:100%; HEIGHT:100%" cellspacing="0" cellpadding="8">
<tr>
<td colspan="2" class="header"><div class="header"><%= strTitle %></div>
<div class="headerdesc">Select the <%= strObject %>s from the list, then click OK to proceed.</div>
</td>
</tr>
<tr height="95%">
<td class="main" colspan="2"><div id='divData' style='DISPLAY:inline'><tools:GridCtl runat="server" id="toolGrid" /></div>
<%= strDivs %>
</td>
</tr>
<tr>
<td align="right" colspan="2"><button id="butBegin" onclick="applychanges();" type="button">OK</button>&nbsp;<button id="cmdDialogCancel" onclick="cancel();" type="button">Cancel</button></td>
</tr>
<tr height="10">
<td colspan="2"></td>
</tr>
</table>
</body>
</HTML>
