<%@ Page language="c#" Codebehind="formHints.aspx.cs" AutoEventWireup="false" Inherits="lgwapp.common.sysform.formHints" %>

<HTML>
  <HEAD>
<title>Base Form SQL & JavaScript Hints</title>
<link rel="stylesheet" type="text/css" href="/lgwres/styles/main.css">
<script language="javascript" src="/lgwres/scripts/main.js"></script>
<style>.jsLink { FONT-WEIGHT: bold; CURSOR: hand; COLOR: blue }</style>
<script language="javascript">
function ClipBoard(txtField, viewText)
{
	var copied = document.all(txtField).createTextRange();
	copied.execCommand("Copy");
	alert(viewText);
}
</script>
</HEAD>
<body class="stage">
<form id="logicWeb" runat="server">
<br>
<b>View Statement:</b>&nbsp;[<span class="jsLink" onclick="javascript:ClipBoard('txtView', 'View statement template has been copied to clipboard.');" title="Copy view statement template to clipboard">Copy</span>]
<br>
<asp:TextBox id="txtView" runat="server" TextMode="MultiLine" Width="100%" Height="155px" ReadOnly=True></asp:TextBox>
<br>
<br>
<b>Save Statement (Stored Procedure):</b>&nbsp;[<span class="jsLink" onclick="javascript:ClipBoard('txtSave', 'Stored procedure template has been copied to clipboard.');" title="Copy save stored procedure template to clipboard">Copy</span>]
<br>
<asp:TextBox id="txtSave" runat="server" TextMode="MultiLine" Width="100%" Height="155px" ReadOnly=True></asp:TextBox>
<br>
<br>
<b>JavaScript Functions need to be implemented:</b>&nbsp;[<span class="jsLink" onclick="javascript:ClipBoard('txtScript', 'Javascript function names have been copied to clipboard.');" title="Copy javascript function names to clipboard">Copy</span>]
<br>
<asp:TextBox id="txtScript" runat="server" TextMode="MultiLine" Width="100%" Height="140px" ReadOnly=True></asp:TextBox>
</form>
</body>
</HTML>
