var sAM = "AM";
var sPM = "PM";
function parseTime( sTime, iFormat )
{
	var sTime = sTime.toLowerCase( );
	var rValidTimeElement = /^[0-9]{1,2}$/
	var iHour;
	var iMinute;
	var iSecond;
	var iHourDiv = sTime.indexOf( ":" );
	var sHour = sTime.substring( 0, iHourDiv );

	if( ! sHour.match( rValidTimeElement ) )
	{
		return new Date( NaN );
	}
	
	var iEndOfDigits;
	if( iFormat == 4 || iFormat == 5 || iFormat == 6 || iFormat == 7)
	{
		var iMinDiv = sTime.indexOf( ":", iHourDiv+1 );
		var sMinute = sTime.substring( iHourDiv+1, iMinDiv );
		if( ! sMinute.match( rValidTimeElement ) )
		{
			return new Date( NaN );
		}
		iMinute = parseInt( sMinute, 10 );
		var sSecond;
		if( iFormat == 4 || iFormat == 5 )
		{
			var iSecDiv = sTime.indexOf( sAM.toLowerCase( ), iMinDiv+1 );
			if( iSecDiv == -1 )
			{
				iSecDiv = sTime.indexOf( sPM.toLowerCase( ), iMinDiv+1 );
			}
			sSecond = sTime.substring( iMinDiv+1, iSecDiv );
		}
		else
		{
			sSecond = sTime.substring( iMinDiv+1, sTime.length );
		}
		sSecond = sSecond.replace( / /, "" );
		if( ! sSecond.match( rValidTimeElement ) )
		{
			return new Date( NaN );
		}
		iSecond = parseInt( sSecond, 10 );
		iEndOfDigits = iSecDiv + sSecond.length + 1;
	}
	else
	{
		var sMinute;
		if( iFormat == 2 ||	iFormat == 3 )
		{
			sMinute = sTime.substring( iHourDiv+1, sTime.length );
		}
		else
		{
			var iMinDiv = sTime.indexOf( sAM.toLowerCase( ), iHourDiv+1 );
			if( iMinDiv == -1 )
			{
				iMinDiv = sTime.indexOf( sPM.toLowerCase( ), iHourDiv+1 );
			}
			sMinute = sTime.substring( iHourDiv+1, iMinDiv );
		}
		sMinute = sMinute.replace( / /, "" );
		if( ! sMinute.match( rValidTimeElement ) )
		{
			return new Date( NaN );
		}
		iMinute = parseInt( sMinute, 10 );
		iSecond = 0;
		iEndOfDigits = iMinDiv + sMinute.length + 1;
	}
	if( iFormat == 0 || iFormat == 1 || iFormat == 4 || iFormat == 5 )
	{
		iHour = parseInt( sHour, 10 );
		if( iHour <= 0 || iHour > 12 )
		{
			return new Date( NaN );
		}
		if( iHour == 12 )
		{
			iHour = 0;
		}
		sAmPm = sTime.substring( sTime.length - 2, sTime.length );
		if( sAmPm.toLowerCase( ) == sPM.toLowerCase( ) )
		{	
			iHour += 12;
		}
		else if( sAmPm.toLowerCase( ) == sAM.toLowerCase( ) )
		{
		}
		else
		{
			return new Date( NaN );
		}
	}
	else
	{
		iHour = parseInt( sHour, 10 );
	}
	if( iHour > 23 || iHour < 0 || iMinute > 59 || iMinute < 0 || iSecond > 59 || iSecond < 0 )
	{
		return new Date( NaN );
	}
	return new Date( 2000, 0, 1, iHour, iMinute, iSecond, 0 );
}
function parseUTCTime( sTime )
{
	var ss = sTime.split( '-' );
	var s = ss[ 0 ];
	ss = s.split( '+' );
	s = ss[ 0 ];
	ss = s.split( '.' );
	var s = ss[ 0 ];
	s = s.replace( /Z/, "" );
	var oDate = new Date( "1/1/00 " + s );
	if( ss.length == 2 )
	{
		sMilliseconds = ss[ 1 ];
		oDate.setMilliseconds( parseInt( sMilliseconds ) );
	}
	return oDate;
}
function timeToString( oTime, iFormat )
{
	switch( iFormat )
	{
		case 0:
		{
			return get12HourClockHours( oTime ) + ":" + makeTwoDigitString( oTime.getMinutes() ) + " " + makeAMPM( oTime );
		}
		
		case 1:
		{
			return makeTwoDigitString( get12HourClockHours( oTime ) ) + ":" + makeTwoDigitString( oTime.getMinutes() ) + " " + makeAMPM( oTime );
		}
		
		case 2:
		{
			return oTime.getHours() + ":" + makeTwoDigitString( oTime.getMinutes() );
		}
		
		case 3:
		{
			return makeTwoDigitString( oTime.getHours() ) + ":" + makeTwoDigitString( oTime.getMinutes() );
		}
		
		case 4:
		{
			return get12HourClockHours( oTime ) + ":" + makeTwoDigitString( oTime.getMinutes() ) + ":" + makeTwoDigitString( oTime.getSeconds() ) + " " + makeAMPM( oTime );
		}
		
		case 5:
		{
			return makeTwoDigitString( get12HourClockHours( oTime ) ) + ":" + makeTwoDigitString( oTime.getMinutes() ) + ":" + makeTwoDigitString( oTime.getSeconds( ) ) + " " + makeAMPM( oTime );
		}
		
		case 6:
		{
			return oTime.getHours( ) + ":" + makeTwoDigitString( oTime.getMinutes() ) + ":" + makeTwoDigitString( oTime.getSeconds( ) );
		}
		
		case 7:
		{
			return makeTwoDigitString( oTime.getHours( ) ) + ":" + makeTwoDigitString( oTime.getMinutes() ) + ":" + makeTwoDigitString( oTime.getSeconds( ) );
		}
	}
}
function timeToUTCString( oTime )
{
	if (isNaN(oTime))
	{
		return null;
	}
	var sRVal = makeTwoDigitString( oTime.getHours() ) + ":" 
	          + makeTwoDigitString( oTime.getMinutes() ) 
	          + ":" + makeTwoDigitString( oTime.getSeconds() );
	return sRVal;
}
function makeTwoDigitString( iNumber )
{
	if( iNumber > 9 )
	{
		return iNumber.toString( );
	}
	else
	{
		return "0" + iNumber.toString( );
	}
}
function get12HourClockHours( oTime )
{
	if( oTime.getHours() > 12 )
	{
		return oTime.getHours() - 12;
	}
	else if( oTime.getHours() == 0 )
	{
		return 12;
	}
	else 
	{
		return oTime.getHours();
	}
}
function makeAMPM( oTime )
{
	if( oTime.getHours() >= 12 )
	{
		return sPM;
	}
	else
	{
		return sAM;
	}
}
function formatFloat(sNum) 
{
	var sBase = "";
	var sRem = "";
	var bRem = false;;
				
	for(i = 0; i < sNum.length; i++) 
	{
		curChar = sNum.charAt(i);
		if(bRem) 
		{
			sRem += curChar;
			if(sRem.length == 2) break;
		} 
		else 
		{
			sBase += curChar;
		}
		if(curChar == '.') 
		{ 
			bRem = true;
			continue;
		}
	}
	return sBase + sRem;
}
function formatDuration( iMinutes ) 
{
	if( isNaN( parseInt(iMinutes, 10) ) || ( iMinutes < 0 ) ) 
	{
		iMinutes = 0;
	}
	var rVal;
	if(iMinutes < 60) 
	{
		if(iMinutes == 1) 
		{
			rVal = ""+iMinutes +" minute";
		} 
		else 
		{
			rVal = ""+iMinutes+" minutes";
		}
	}
	else if( iMinutes >= 60 && iMinutes < 1440 ) 
	{
		var iHours = iMinutes / 60;
			
		if(iHours == 1) 
		{
			rVal = ""+formatFloat( iHours.toString() )+" hour";
		} 
		else 
		{
			rVal = ""+formatFloat( iHours.toString() )+" hours";
		}
	}
	else if( iMinutes >= 1440 ) 
	{
		var iHours = iMinutes / 60;
		var iDays = iHours / 24;
			
		if(iDays == 1) 
		{
			rVal = ""+formatFloat( iDays.toString() )+" day";
		} 
		else 
		{
			rVal = ""+formatFloat( iDays.toString() )+" days";
		}
	}
	return rVal;
}